Bug 243716 - Review Request: perl-Text-Markdown - A text-to-HTML filter
Review Request: perl-Text-Markdown - A text-to-HTML filter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 10:43 EDT by Jeffrey C. Ollie
Modified: 2014-10-02 13:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Text-Markdown-1.000031-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 09:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-06-11 10:43:37 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/perl-Text-Markdown-1.0.3-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/perl-Text-Markdown-1.0.3-1.fc6.src.rpm

Description: 

Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format
is most similar to that of plain text email, and supports features
such as headers, *emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use
span-level HTML tags anywhere in a Markdown document, and you can use
block level HTML tags (like <div> and <table> as well).

For more information about Markdown's syntax, see:

    http://daringfireball.net/projects/markdown/
Comment 1 Jason Tibbitts 2007-06-30 16:42:00 EDT
This fails to build for me; you're missing some build dependencies.  I think you
need perl(Test::More), perl(Test::Pod) and perl(Test::Pod::Coverage).

Also, the license looks like BSD to me, not GPL.
Comment 3 Ruben Kerkhof 2007-07-01 16:20:07 EDT
The third test is only executed if you do an export TEST_POD=true in the %check section. When you do 
that, however, this test fails because not all functions have documentation.

So I think there are 2 options:
- Have upstream fix their test
- Don't run the 03podcoverage test. If you do that, there's no need to BuildRequire Test::Pod::Coverage
Comment 4 Jason Tibbitts 2007-07-03 23:09:51 EDT
Still need to s/GPL/BSD/ on the License: tag.

I'm OK with the skipped tests; it's OK to keep the additional build dependencies
because once the docs are complete upstream will probably enable them by
default.  If you want to set TEST_POD and delete t/03podcoverage.t then go
ahead; I'll leave that up to you.

So there's just the license tag, which is of significant importance but is
trivial to fix.  I'll go ahead and approve this and you can fix it when you
check in.

Review:
* source files match upstream:
   1191bb1a1ba0268a8d940dcc10c767ac68e18bc5fe4cc38f559210d4c62c35b3  
   Text-Markdown-1.0.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text included in package (in the README file).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Text::Markdown) = 1.0.3
   perl-Text-Markdown = 1.0.3-2.fc8
  =
   perl >= 0:5.006_000
   perl(:MODULE_COMPAT_5.8.8)
   perl(Digest::MD5)
   perl(base)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 2 tests skipped.
   Files=4, Tests=4,  0 wallclock secs ( 0.33 cusr +  0.11 csys =  0.44 CPU)
  The skipped tests are just documentation tests.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just fix the License: tag.
Comment 5 Jeffrey C. Ollie 2007-07-04 00:19:27 EDT
Thanks for the review, I'll get the license tag fixed before I import!

New Package CVS Request
=======================
Package Name: perl-Text-Markdown
Short Description: A text-to-HTML filter
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6
InitialCC: 
Comment 6 Kevin Fenzi 2007-07-04 02:05:05 EDT
cvs done.
Comment 7 Lubomir Rintel 2010-01-26 09:07:44 EST
(Fedora Maintainer agreed via e-mail)

New Package CVS Request
=======================
Package Name: perl-Text-MultiMarkdown
Short Description: Convert MultiMarkdown syntax to (X)HTML
Owners: lkundrak
Branches: EL-5
Comment 8 Jason Tibbitts 2010-01-26 23:53:55 EST
I'm a bit confused.  This is a review ticket for perl-Text-Markdown, not perl-Text-MultiMarkdown.  There's already a package in the distribution named perl-Text-MultiMarkdown, so I'm not sure why a new package request is being made for it.

What are you trying to accomplish?
Comment 9 Lubomir Rintel 2010-01-27 05:09:21 EST
Sorry, I messed this up again. 

New Package CVS Request
=======================
Package Name: perl-Text-Markdown
Short Description: A text-to-HTML filter
Owners: lkundrak
Branches: EL-5
Comment 10 Jason Tibbitts 2010-01-27 16:55:33 EST
Again, I'm not sure what's being requested here.  This package is already in
the distribution, so why is a new package request being filed for it?  Are you
just requesting additional branches?  That's what a change request is for.
Comment 11 Till Maas 2010-02-09 04:12:20 EST
This is what he wanted to request: (see bug #548324, comment 20 there):

Package Change Request
======================
Package Name: perl-Text-Markdown
New Branches: EL-5
Owners: lkundrak
Comment 12 Jason Tibbitts 2010-02-09 16:15:13 EST
Could we get an ack from the current package owner?  Please follow existing EPEL policy when requesting EPEL branches for packages you don't own: http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL
Comment 13 Jeffrey C. Ollie 2010-02-09 16:23:27 EST
Lubomir has my permission, nay, my blessing to maintain the EPEL branches of this package...
Comment 14 Till Maas 2010-02-09 16:34:44 EST
(In reply to comment #12)
> Could we get an ack from the current package owner?  Please follow existing
> EPEL policy when requesting EPEL branches for packages you don't own:
> http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL    

This document does not say anything about ack-only EPEL maintainers or that any communication regarding owning an EPEL branch should go via bugzilla afaics. It only says to ask via email.
Comment 15 Jason Tibbitts 2010-02-09 17:25:03 EST
And the CVS admins are somehow supposed to psychically know that you asked and received an OK?

CVS done.
Comment 16 Till Maas 2010-02-09 18:05:57 EST
(In reply to comment #15)
> And the CVS admins are somehow supposed to psychically know that you asked and
> received an OK?

According to the wikipage you referred to, there is no need to verify this, becaus it is not about to ask for permission to branch, but to ask whether the maintainer would rather do it by himself or not. There might be some unwritten law, that says otherwise, or maybe it is written somewhere else, but the procedure on the wiki page also allows to branch if the maintainer did not respond within seven days or if he does not want to maintain the package in EPEL.
Comment 17 Jason Tibbitts 2010-02-09 18:19:23 EST
Argue about it all you want; CVS admins are still going to ask unless we're provided sufficient detail.
Comment 18 Till Maas 2010-02-09 18:40:02 EST
(In reply to comment #17)
> Argue about it all you want; CVS admins are still going to ask unless we're
> provided sufficient detail.    

I do not argue agains it, I only show you, that this is not documented. So if you require this, then please document it.
Comment 19 Thomas Moschny 2014-07-24 05:00:09 EDT
Lubomir, would you mind also maintaining this package in EPEL7?
Comment 20 Lubomir Rintel 2014-09-02 03:09:59 EDT
Package Change Request
======================
Package Name: perl-Text-Markdown
New Branches: epel7
Owners: lkundrak
Comment 21 Jon Ciesla 2014-09-02 08:21:10 EDT
Branch exists.
Comment 22 Fedora Update System 2014-09-09 06:16:47 EDT
perl-Text-Markdown-1.000031-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Text-Markdown-1.000031-1.el7
Comment 23 Fedora Update System 2014-10-02 13:04:55 EDT
perl-Text-Markdown-1.000031-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.